{%- comment -%}

Form: type input

@param :form [String] El formulario
@param :field [Integer] El campo del formulario
@param :input_class [String] Las clases del componente
{%- endcomment -%}

{% if include.form %}
  {%- assign name = include.field[0] | append: ']' | prepend: '[' | prepend: include.form -%}
  {%- assign id = include.field[1].id | default: name | replace: '[', '_' | remove: ']' -%}
{% else %}
  {%- assign name = include.field[0] -%}
  {%- assign id = include.field[1].id | default: name %}
{% endif %}

{%- assign label = include.field[1].label[site.locale] -%}
{%- assign help = include.field[1].help[site.locale] -%}
{%- assign error = include.field[1].error[site.locale] -%}
{%- assign autocomplete = include.field[1].autocomplete -%}
{%- assign placeholder = include.field[1].placeholder[site.locale] -%}

<div class="form-group">
  {% if include.field[1].label %}
    <label for="{{ id }}">
      {{ label }}
      {% if include.field[1].required %}*{% endif %}
    </label>
  {% endif %}

  <input
    {% if include.field[1].placeholder %}
      placeholder="{{ placeholder }}"
    {% endif %}
    {{ include.field[1].extra.input }}
    {% if help %}
      aria-describedby="help-{{ id }}"
    {% endif %}
    {% if include.field[1].required %}
      required
    {% endif %}
    type="{{ include.field[1].type }}"
    name="{{ name }}"
    id="{{ id }}"
    {% if autocomplete %}
      autocomplete="{{ autocomplete }}"
    {% endif %}
    class="form-control {{ include.input_class }}" />

  {%- if error -%}
    <div class="invalid-feedback">{{ error }}</div>
  {%- endif -%}

  {%- if help -%}
    <small id="help-{{ id }}" class="form-text">
      {{ help }}
    </small>
  {%- endif -%}
</div>
